%define approot /opt/linpack/mvapich1/gnu
%define _modroot /usr/share/Modules/modulefiles/linpack
%define debug_package %{nil}

Name: linpack-mvapich1-gnu 
Version: 1.0a
Release: 4
Vendor: Project Kusu, http://www.osgdc.org
Summary:  High Performance Computing Linpack Benchmark (HPL)
License: Distributable 
Group: Applications/System
URL:  http://www.netlib.org/benchmark/hpl/software.html
Source0: http://www.netlib.org/benchmark/hpl/hpl.tgz
Source1: linpack-mvapich1-gnu-Make.Kusu.32
Source2: linpack-mvapich1-gnu-Make.Kusu.64
Source3: %{name}-module
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-rootmvapich1
BuildRequires: gcc mvapich1-infiniband-gnu >= 0.9.9 atlas-devel gcc-gfortran
Requires: mvapich1-infiniband-gnu atlas

%description
HPL is a software package that solves a (random) dense linear system in 
double precision (64 bits) arithmetic on distributed-memory computers. 
It can thus be regarded as a portable as well as freely available implementation 
of the High Performance Computing Linpack Benchmark.

%prep
%setup -q -n hpl
cp %{SOURCE1} Make.Kusu.32
cp %{SOURCE2} Make.Kusu.64

%build
export TOPdir=%{_builddir}/hpl

%ifarch %ix86
    make arch=Kusu.32
%else
    make arch=Kusu.64
%endif	


%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{approot}
mkdir -p $RPM_BUILD_ROOT%{approot}/bin

%ifarch i386
    install -m755 bin/Kusu.32/xhpl $RPM_BUILD_ROOT%{approot}/bin
    install -m644 bin/Kusu.32/HPL.dat $RPM_BUILD_ROOT%{approot}/bin
%else
    install -m755 bin/Kusu.64/xhpl $RPM_BUILD_ROOT%{approot}/bin
    install -m644 bin/Kusu.64/HPL.dat $RPM_BUILD_ROOT%{approot}/bin
%endif	

install -D -m 0644 %{SOURCE3} %{buildroot}%{_modroot}/%{name}

%post

%postun 

%files
%dir %{approot}
%dir %{approot}/bin
%{approot}/bin/HPL.dat
%{approot}/bin/xhpl
/usr/share/Modules/modulefiles/linpack/linpack-mvapich1-gnu

%changelog
* Wed Jul 2 2008 Mike Frisch <mfrisch@platform.com> 1.0a-4
- Modified to use Fortran 90

* Tue Apr 1 2008 Mike Frisch <mfrisch@platform.com> 1.0a-3
- Fixed BuildRequires/Requires, build and files section

* Tue Sep 12 2007 Tsai Li Ming <ltsai@osgdc.org>
- Initial package.
